Package org.eclipse.cdt.core.dom

# Interface IPDOMManager

All Known Subinterfaces:
  `IIndexManager`

public interface IPDOMManager

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID_FAST_INDEXER`
`static final String`
`ID_FULL_INDEXER`
Deprecated.
The full indexer has been removed.
`static final String`
`ID_NO_INDEXER`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultIndexerId()`
`String`
`getIndexerId(ICProject project)`
`void`
`setDefaultIndexerId(String indexerId)`
`void`
`setIndexerId(ICProject project, String indexerId)`

## Field Details

### ID_NO_INDEXER

static final String ID_NO_INDEXER

See Also:
  - Constant Field Values

### ID_FAST_INDEXER

static final String ID_FAST_INDEXER

See Also:
  - Constant Field Values

### ID_FULL_INDEXER

@Deprecated static final String ID_FULL_INDEXER
Deprecated.
The full indexer has been removed.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

## Method Details

### getDefaultIndexerId

String getDefaultIndexerId()

### setDefaultIndexerId

void setDefaultIndexerId(String indexerId)

### getIndexerId

String getIndexerId(ICProject project) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### setIndexerId

void setIndexerId(ICProject project, String indexerId) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`